# utf8_encode

(PHP 4, PHP 5, PHP 7)

utf8_encode — Encodes an ISO-8859-1 string to UTF-8

### Description

utf8_encode ( string `$data` ) : string

This function converts the string `data` from the ISO-8859-1 encoding to UTF-8.

> Note:

> Many web pages marked as using the ISO-8859-1 character encoding actually use the similar Windows-1252 encoding, and web browsers will interpret ISO-8859-1 web pages as Windows-1252. Windows-1252 features additional printable characters, such as the Euro sign (€) and curly quotes (“ ”), instead of certain ISO-8859-1 control characters. This function will not convert such Windows-1252 characters correctly. Use a different function if Windows-1252 conversion is required.

### Parameters

`data`

  An ISO-8859-1 string.

### Return Values

Returns the UTF-8 translation of `data`.

### Changelog

Version | Description
--- | ---
7.2.0 | This function has been moved to the core of PHP, and therefore lifting the requirement on the XML extension for this function to be available.

### See Also

- utf8_decode() - Converts a string with ISO-8859-1 characters encoded with UTF-8 to single-byte ISO-8859-1 - Performs the reverse conversion
- mb_convert_encoding() - Convert character encoding - Converts between various character encodings, including UTF-8, ISO-8859-1 and Windows-1252
- iconv() - Convert string to requested character encoding - Converts between various character encodings
- recode_string() - Recode a string according to a recode request - Converts between various character encodings